com.fasterxml.jackson.databind.jsontype.impl

## Class AsArrayTypeSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.TypeSerializer
  - - com.fasterxml.jackson.databind.jsontype.impl.TypeSerializerBase
    - - com.fasterxml.jackson.databind.jsontype.impl.AsArrayTypeSerializer

- Direct Known Subclasses:
    AsPropertyTypeSerializer

      public class AsArrayTypeSerializer
      extends TypeSerializerBase

  Type serializer that will embed type information in an array, as the first element, and actual value as the second element.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeSerializerBase

      `_idResolver, _property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsArrayTypeSerializer(TypeIdResolver idRes, BeanProperty property)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsArrayTypeSerializer` | `forProperty(BeanProperty prop)` Method called to create contextual version, to be used for values of given property.
    `JsonTypeInfo.As` | `getTypeInclusion()` Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeSerializerBase

      `_generateTypeId, getPropertyName, getTypeIdResolver, handleMissingId, idFromValue, idFromValueAndType, writeTypePrefix, writeTypeSuffix`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.TypeSerializer

      `_writeLegacySuffix, typeId, typeId, typeId, writeCustomTypePrefixForArray, writeCustomTypePrefixForObject, writeCustomTypePrefixForScalar, writeCustomTypeSuffixForArray, writeCustomTypeSuffixForObject, writeCustomTypeSuffixForScalar, writeTypePrefixForArray, writeTypePrefixForArray, writeTypePrefixForObject, writeTypePrefixForObject, writeTypePrefixForScalar, writeTypePrefixForScalar, writeTypeSuffixForArray, writeTypeSuffixForObject, writeTypeSuffixForScalar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsArrayTypeSerializer

          public AsArrayTypeSerializer(TypeIdResolver idRes,
                                       BeanProperty property)

  - ### Method Detail

    - #### forProperty

          public AsArrayTypeSerializer forProperty(BeanProperty prop)

      Description copied from class: `TypeSerializer`
      Method called to create contextual version, to be used for values of given property. This may be the type itself (as is the case for bean properties), or values contained (for `Collection` or `Map` valued properties).
      Specified by:
        `forProperty` in class `TypeSerializer`

    - #### getTypeInclusion

          public JsonTypeInfo.As getTypeInclusion()

      Description copied from class: `TypeSerializer`
      Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.
      Specified by:
        `getTypeInclusion` in class `TypeSerializerBase`

Copyright © 2008–2020 FasterXML. All rights reserved.